seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2018/12/14, 15:47:28


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: CAUTION -- python3.7 will remove hplip, libreoffice, etc. etc.  (Read 3135 times)

0 Members and 1 Guest are viewing this topic.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
At the moment (next 2-3 hours) I don't have time to test things :(
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Considering 3 systems here 2 siduction and one debian sid, 2 with buildd repo and all three I have

Code: [Select]
apt update; apt full-upgrade
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

You can't purge libkf5iconthemes5 or libkf5wallet-bin

Code: [Select]
apt purge libkf5iconthemes5
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  xterm
Suggested packages:
  xfonts-cyrillic
The following packages will be REMOVED:
  amarok* ark* baloo-kf5* breeze* dolphin* dolphin-plugins* drkonqi* ffmpegthumbs* frameworkintegration* gwenview* k3b* k3b-i18n* kactivitymanagerd*
  kate* kcalc* kde-baseapps* kde-cli-tools* kde-config-cron* kde-config-gtk-style* kde-config-screenlocker* kde-config-sddm* kde-plasma-desktop*
  kde-runtime* kde-spectacle* kde-style-breeze* kde-style-oxygen-qt5* kdeadmin* kdeconnect* kdegraphics-thumbnailers* kdenetwork-filesharing* kdialog*
  keditbookmarks* kfind* kinfocenter* kinit* kio* kio-audiocd* kio-extras* kmenuedit* kmix* kolourpaint* kolourpaint4* konq-plugins* konqueror* konsole*
  konsole-kpart* konversation* kpat* kross* kscreen* ksysguard* ksystemlog* ktexteditor-katepart* ktorrent* kwin-addons* kwin-common* kwin-dev*
  kwin-style-breeze* kwin-x11* kwrite* libcolorcorrect5* libk3b7* libk3b7-extracodecs* libkf5baloowidgets5* libkf5bookmarks5* libkf5cddb5*
  libkf5declarative5* libkf5iconthemes-bin* libkf5iconthemes-dev* libkf5iconthemes5* libkf5kcmutils5* libkf5kdegames7* libkf5kdelibs4support5*
  libkf5kdelibs4support5-bin* libkf5khtml-bin* libkf5khtml5* libkf5kiofilewidgets5* libkf5kiowidgets5* libkf5kipi32.0.0* libkf5konq6* libkf5krossui5*
  libkf5newstuff5* libkf5newstuffcore5* libkf5notifyconfig5* libkf5parts-plugins* libkf5parts5* libkf5plasma5* libkf5plasmaquick5* libkf5purpose-bin*
  libkf5purpose5* libkf5quickaddons5* libkf5runner5* libkf5sane5* libkf5style-dev* libkf5style5* libkf5texteditor5* libkf5textwidgets5* libkf5torrent6*
  libkf5wallet-bin* libkf5webkit5* libkf5xmlgui5* libkf5xmlrpcclient5* libkscreenlocker5* libkwin4-effect-builtins1* libokular5core8* libpowerdevilcore2*
  libprocessui7* libtaskmanager6* libweather-ion7* milou* okular* okular-extra-backends* plasma-browser-integration* plasma-dataengines-addons*
  plasma-desktop* plasma-framework* plasma-integration* plasma-pa* plasma-runners-addons* plasma-wallpapers-addons* plasma-widgets-addons*
  plasma-workspace* polkit-kde-1* polkit-kde-agent-1* powerdevil* print-manager* qml-module-org-kde-draganddrop* qml-module-org-kde-kcm*
  qml-module-org-kde-kconfig* qml-module-org-kde-kcoreaddons* qml-module-org-kde-kio* qml-module-org-kde-kquickcontrols*
  qml-module-org-kde-kquickcontrolsaddons* qml-module-org-kde-kwindowsystem* qml-module-org-kde-purpose* qml-module-org-kde-qqc2desktopstyle*
  sddm-theme-breeze* sddm-theme-debian-breeze* systemsettings* user-manager* yakuake*
The following NEW packages will be installed:
  xterm
0 upgraded, 1 newly installed, 141 to remove and 0 not upgraded.


Code: [Select]
root@x1:/home/piper# apt purge -s libkf5wallet-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  xterm
Suggested packages:
  xfonts-cyrillic
The following packages will be REMOVED:
  amarok* ark* baloo-kf5* breeze* dolphin* dolphin-plugins* drkonqi* ffmpegthumbs* frameworkintegration* gwenview* k3b* k3b-i18n* kactivitymanagerd*
  kate* kde-baseapps* kde-cli-tools* kde-config-cron* kde-config-gtk-style* kde-config-screenlocker* kde-config-sddm* kde-plasma-desktop* kde-runtime*
  kde-spectacle* kde-style-oxygen-qt5* kdeadmin* kdeconnect* kdegraphics-thumbnailers* kdenetwork-filesharing* kdialog* keditbookmarks* kfind*
  kinfocenter* kinit* kio* kio-audiocd* kio-extras* kmenuedit* kmix* kolourpaint* kolourpaint4* konq-plugins* konqueror* konsole* konsole-kpart*
  konversation* kpat* kross* kscreen* ksysguard* ksystemlog* ktexteditor-katepart* ktorrent* kwin-addons* kwin-common* kwin-dev* kwin-x11* kwrite*
  libcolorcorrect5* libk3b7* libk3b7-extracodecs* libkf5baloowidgets5* libkf5cddb5* libkf5declarative5* libkf5kcmutils5* libkf5kdegames7*
  libkf5kdelibs4support5* libkf5kdelibs4support5-bin* libkf5khtml-bin* libkf5khtml5* libkf5konq6* libkf5krossui5* libkf5newstuff5* libkf5newstuffcore5*
  libkf5notifyconfig5* libkf5parts-plugins* libkf5parts5* libkf5plasma5* libkf5plasmaquick5* libkf5purpose-bin* libkf5purpose5* libkf5quickaddons5*
  libkf5runner5* libkf5sane5* libkf5texteditor5* libkf5torrent6* libkf5wallet-bin* libkf5webkit5* libkf5xmlrpcclient5* libkscreenlocker5*
  libkwin4-effect-builtins1* libokular5core8* libprocessui7* libtaskmanager6* libweather-ion7* milou* okular* okular-extra-backends*
  plasma-browser-integration* plasma-dataengines-addons* plasma-desktop* plasma-framework* plasma-integration* plasma-pa* plasma-runners-addons*
  plasma-wallpapers-addons* plasma-widgets-addons* plasma-workspace* powerdevil* print-manager* qml-module-org-kde-draganddrop* qml-module-org-kde-kcm*
  qml-module-org-kde-kconfig* qml-module-org-kde-kcoreaddons* qml-module-org-kde-kio* qml-module-org-kde-kquickcontrols*
  qml-module-org-kde-kquickcontrolsaddons* qml-module-org-kde-kwindowsystem* qml-module-org-kde-purpose* sddm-theme-breeze* sddm-theme-debian-breeze*
  systemsettings* user-manager* yakuake*
The following NEW packages will be installed:
  xterm
0 upgraded, 1 newly installed, 123 to remove and 0 not upgraded.




I would like to see the output of

Code: [Select]
apt upgrade


Another clue here, but a lot of stuff you have installed, I don't ;)

Code: [Select]
apt purge -s blogilo colord digikam digikam-private-libs hplip kdegraphics kipi-plugins kolourpaint kolourpaint4 libcupscgi1 libcupsmime1 libcupsppdc1 libhdf5-100 libkf5akonadicore5abi1 libkf5alarmcalendar5 libkf5eventviews5 libkf5gravatar5abi1 libkf5ldap5 libkf5mailcommon5abi1 libkf5messagecomposer5 libkf5messagecore5 libkf5messagelist5 libkf5messageviewer5 libkf5pimcommon5abi1 libkf5pimcommonakonadi5 libkf5pimtextedit5abi1 libkf5sane5 libkf5webengineviewer5 libkpimgapiblogger5 libkpimgapicore5 libkpimkdav5abi1 libkpimsmtp5 libmbedtls10 libqalculate5-data libqalculate5v5 libsane1 sane-utils skanlite xsane
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'libkf5alarmcalendar5' is not installed, so not removed
Package 'libkf5eventviews5' is not installed, so not removed
Package 'libkf5ldap5' is not installed, so not removed
Package 'libkpimsmtp5' is not installed, so not removed
Package 'libqalculate5-data' is not installed, so not removed
Package 'libqalculate5v5' is not installed, so not removed
Note, selecting 'libsane' instead of 'libsane1'
E: Unable to locate package libkf5mailcommon5abi1
E: Unable to locate package libkpimkdav5abi1
E: Unable to locate package libmbedtls10
« Last Edit: 2018/12/03, 23:27:15 by piper »
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline jyp

  • User
  • Posts: 53
@piper
Thanks a lot. Looks like "patience" might work then. Unless...
An <apt upgrade> maybe, would do no harm as a first step.

Offline jyp

  • User
  • Posts: 53
@piper
Here is <apt upgrade>
Part-01======
Code: [Select]
apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libarmadillo8 libbind9-160 libboost-chrono1.62.0 libboost-date-time1.62.0 libboost-locale1.62.0 libcfitsio5 libdns1102 libgdbm5 libgeos-3.6.2 libipt1 libirs160 libisc169 libisccc160
  libisccfg160 liblivemedia62 liblwres160 libmbedtls10 libperl5.26 libplacebo5 libprotobuf-lite10 libraw16 libunbound2 linux-headers-4.17.11-towo.2-siduction-amd64
  linux-image-4.17.11-towo.2-siduction-amd64 perl-modules-5.26 python3.6 python3.6-minimal
Use 'apt autoremove' to remove them.
The following NEW packages will be installed:
  chromium-sandbox guile-2.2-libs libaom0 libatlas3-base libbctoolbox1 libbind9-161 libboost-atomic1.67.0 libboost-chrono1.67.0 libboost-date-time1.67.0 libboost-filesystem1.67.0
  libboost-iostreams1.67.0 libboost-locale1.67.0 libboost-regex1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libbzrtp0 libcfitsio7 libcrypt2 libdbi-perl libdns1104 libfile-which-perl
  libgdbm6 libgeos-3.7.0 libgpg-error-l10n libgutenprint-common libgutenprint9 libicu63 libipt2 libirs161 libisc1100 libisccc161 libisccfg163 libixml10 libkf5calendarcore5abi2
  libkf5imap-data libkf5syndication5abi1 liblivemedia64 libllvm7 liblwres161 libmbedcrypto3 libmbedtls12 libmediastreamer-base10 libmediastreamer-voip10 libnftnl7 libortp13 libperl5.28
  libplacebo6 libpodofo0.9.6 libpoppler80 libprotobuf-lite17 libprotobuf17 libpython3.7 libpython3.7-minimal libpython3.7-stdlib libqrencode4 libtidy5deb1 libtirpc-common libtirpc3
  libunbound8 libupnp13 libvidstab1.1 libx264-155 libx265-165 libxentoolcore1 libyaml-cpp0.5d1 linux-headers-4.19.6-towo.1-siduction-amd64 linux-image-4.19.6-towo.1-siduction-amd64
  perl-modules-5.28 python3.7 python3.7-minimal
The following packages have been kept back:
  accountwizard akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server akonadiconsole akregator breeze breeze-cursor-theme calibre calibre-bin cups cups-bsd
  cups-client cups-core-drivers cups-daemon cups-ipp-utils drkonqi kactivitymanagerd kaddressbook kalarm kde-cli-tools kde-cli-tools-data kde-config-screenlocker kde-style-breeze
  kdepim-addons kdepim-runtime kdeplasma-addons-data kdoctools5 kf5-kdepim-apps-libs-data kf5-messagelib-data kgpg kinfocenter kio kio-ldap kleopatra kmail knotes konsolekalendar
  korganizer kscreen ktexteditor-data ktexteditor-katepart kwin-addons kwin-common kwin-data kwin-style-breeze kwin-x11 libcups2 libcupsimage2 libgdal20 libkdecorations2-5v5
  libkdecorations2private6 libkf5akonadi-data libkf5akonadiagentbase5 libkf5akonadicalendar-data libkf5akonadicalendar5abi1 libkf5akonadicontact5 libkf5akonadimime5
  libkf5akonadisearch-bin libkf5akonadisearch-plugins libkf5akonadisearchcore5 libkf5akonadisearchdebug5 libkf5akonadisearchpim5 libkf5akonadiwidgets5abi1 libkf5akonadixml5 libkf5archive5
  libkf5attica5 libkf5auth-data libkf5auth5 libkf5calendarsupport-data libkf5calendarsupport5abi1 libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5 libkf5config-data
  libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5contacteditor5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data
  libkf5dbusaddons5 libkf5doctools5 libkf5followupreminder5 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5gravatar-data libkf5guiaddons5 libkf5i18n-data
  libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5identitymanagement5 libkf5incidenceeditor-bin libkf5incidenceeditor-data libkf5incidenceeditor5abi1 libkf5itemviews-data
  libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kaddressbookgrantlee5 libkf5kaddressbookimportexport5 libkf5kdepimdbusinterfaces5 libkf5kiocore5 libkf5kiowidgets5
  libkf5kmanagesieve5 libkf5ksieve-data libkf5ksieve5 libkf5ksieveui5 libkf5libkdepim-plugins libkf5libkdepim5 libkf5libkdepimakonadi5 libkf5libkleo-data libkf5libkleo5
  libkf5mailcommon-data libkf5mailcommon-plugins libkf5mailtransport-data libkf5mailtransport5 libkf5mailtransportakonadi5 libkf5newstuffcore5 libkf5notifications-data
  libkf5notifications5 libkf5parts-data libkf5parts5 libkf5pimcommon-data libkf5pimcommon-plugins libkf5pimtextedit-data libkf5pimtextedit-plugins libkf5screen-bin libkf5screen7
  libkf5sendlater5 libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5 libkf5syntaxhighlighting-data
  libkf5syntaxhighlighting5 libkf5sysguard-bin libkf5sysguard-data libkf5templateparser5 libkf5texteditor-bin libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5 libkf5wallet-bin
  libkf5wallet-data libkf5wallet5 libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 libkpimgapi-data
  libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapitasks5 libkpimimportwizard5 libkpimkdav-data libkscreenlocker5 libksgrd7 libksignalplotter7 libkwalletbackend5-5
  libkwin4-effect-builtins1 libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libkworkspace5-5 libmbedx509-0 libnetcdf13 libprocesscore7 libprocessui7 libqt5core5a libqt5dbus5
  libqt5designer5 libqt5designercomponents5 libqt5gui5 libqt5multimedia5 libqt5multimediaquick5 libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5
  libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickcontrols2-5 libqt5quicktemplates2-5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5serialport5 libqt5sql5 libqt5sql5-mysql
  libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5 libqt5webchannel5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5
  libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5xml5 libqt5xmlpatterns5 libsane-common libtaskmanager6 milou oxygen-sounds plasma-dataengines-addons
  plasma-desktop plasma-desktop-data plasma-integration plasma-runners-addons plasma-wallpapers-addons plasma-widgets-addons plasma-workspace polkit-kde-agent-1 python-pyqt5
  python-pyqt5.qtsvg python-pyqt5.qtwebkit python3-pyqt5 qdbus-qt5 qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtqml-models2 qml-module-qtquick-controls
  qml-module-qtquick-controls-styles-breeze qml-module-qtquick-controls2 qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets
  qml-module-qtquick-templates2 qml-module-qtquick-virtualkeyboard qml-module-qtquick-window2 qml-module-qtquick2 qml-module-qtwebkit qt5-assistant qt5-gtk-platformtheme
  qt5-qmltooling-plugins qttools5-dev-tools qtwayland5

Of course, it has been quite a while... no computer in my last trip!!

Offline jyp

  • User
  • Posts: 53
Part-02======
Code: [Select]
The following packages will be upgraded:
  adduser adwaita-icon-theme alsa-utils apparmor apt apt-listchanges apt-show-versions apt-utils aptitude aptitude-common ark automake autopoint avahi-autoipd avahi-daemon baloo-kf5
  bash-completion bind9-host binutils binutils-common binutils-x86-64-linux-gnu bluedevil breeze-icon-theme bsdutils btrfs-progs chromium chromium-common colord colord-data
  command-not-found console-setup console-setup-linux converseen cpp cpp-6 cpp-7 cpp-8 cryptsetup cryptsetup-bin cryptsetup-initramfs cryptsetup-run cups-browsed cups-common cups-filters
  cups-filters-core-drivers cups-ppdc cups-server-common curl dash dconf-cli dconf-editor dconf-gsettings-backend dconf-service dctrl-tools debhelper debian-archive-keyring debian-goodies
  desktop-file-utils dh-python dh-strip-nondeterminism dialog dictionaries-common digikam digikam-private-libs dirmngr distro-defaults distro-info-data dmidecode dnsutils dolphin
  dolphin-plugins dpkg dpkg-dev dvd+rw-tools emacsen-common exfat-fuse exfat-utils exim4-base exim4-config exim4-daemon-light fdisk feh ffmpeg findutils firefox firefox-l10n-de
  firefox-l10n-en-gb firefox-l10n-it firefox-l10n-pl firefox-l10n-pt-br firefox-l10n-ro fontconfig fontconfig-config fonts-cns11643-kai fonts-cns11643-sung fonts-liberation
  fonts-liberation2 fonts-opensymbol foomatic-db foomatic-db-engine frameworkintegration freerdp2-x11 g++ g++-6 g++-8 galternatives gawk gcc gcc-6 gcc-6-base gcc-7 gcc-7-base gcc-8
  gcc-8-base gconf-service gconf2 gconf2-common gdal-data gdb-minimal gddrescue geoclue-2.0 gettext gettext-base ghostscript ghostscript-x gimp gimp-data gimp-help-common gimp-help-en
  gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 gir1.2-secret-1 git git-man glib-networking glib-networking-common
  glib-networking-services gnupg gnupg-agent gnupg-l10n gnupg-utils gnupg2 gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv growisofs grub-common grub-efi-amd64-bin
  grub-efi-ia32-bin grub-pc grub-pc-bin grub2-common gsettings-desktop-schemas gstreamer1.0-alsa gstreamer1.0-gl gstreamer1.0-plugins-bad gstreamer1.0-plugins-base
  gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-tools gstreamer1.0-x gtk-update-icon-cache gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons
  gvfs-fuse gvfs-libs gwenview gzip hdparm hostname hplip hplip-data hunspell-en-gb hunspell-it hunspell-pl hunspell-pt-br hunspell-ro i965-va-driver imagemagick imagemagick-6-common
  imagemagick-6-doc imagemagick-6.q16 info init-system-helpers inotify-tools install-info intel-microcode inxi iptables irqbalance irssi irssi-scripts iso-codes iw juk k3b k3b-data
  k3b-i18n kaffeine kate kate5-data kde-config-gtk-style kde-config-gtk-style-preview kde-config-sddm kdeconnect kded5 kdesdk-dolphin-plugins keyboard-configuration kgamma5 khotkeys
  khotkeys-data kid3 kid3-core kimageformat-plugins kinit kio-extras kio-extras-data kio-sieve kipi-plugins kmenuedit kmod kompare konq-plugins konqueror kontact kopete kpackagetool5
  kpart5-kompare krita krita-data kross ksshaskpass ksysguard ksysguard-data ksysguardd ksystemlog ktorrent ktorrent-data kwayland-data kwayland-integration kwrite kwrited
  libacme-damn-perl libapparmor1 libappstream4 libappstreamqt2 libapt-inst2.0 libapt-pkg-perl libapt-pkg5.0 libarchive-zip-perl libarmadillo9 libarpack2 libasan3 libasan4 libasan5
  libasound2 libasound2-data libasound2-plugins libastro1 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatkmm-1.6-1v5 libatomic1 libatspi2.0-0 libavahi-client3 libavahi-common-data
  libavahi-common3 libavahi-core7 libavahi-glib1 libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 libbabl-0.1-0 libbasicusageenvironment1 libbind9-160
  libbinutils libblkid1 libblockdev-fs2 libblockdev-loop2 libblockdev-part-err2 libblockdev-part2 libblockdev-swap2 libblockdev-utils2 libblockdev2 libboost-chrono1.62.0
  libboost-date-time1.62.0 libboost-filesystem1.62.0 libboost-iostreams1.62.0 libboost-locale1.62.0 libboost-python1.62.0 libboost-regex1.62.0 libboost-system1.62.0 libboost-thread1.62.0
  libbrlapi0.6 libbrotli1 libburn4 libc-bin libc-dev-bin libc-l10n libc6 libc6-dev libcairo-gobject2 libcairo2 libcap-ng0 libcc1-0 libcdr-0.1-1 libcharls1 libcilkrts5 libclang1-6.0
  libcmis-0.5-5v5 libcodec2-0.8.1 libcolorcorrect5 libcolord2 libcolorhug2 libcommon-sense-perl libcpanel-json-xs-perl libcpupower1 libcryptsetup12 libcue2 libcupsfilters1 libcurl3-gnutls
  libcurl4 libcurl4-gnutls-dev libcurses-perl libdap25 libdapclient6v5 libdapserver7v5 libdb5.3 libdconf1 libdebconfclient0 libdjvulibre-text libdjvulibre21 libdmtx0a libdns-export1102
  libdns1102 libdolphinvcs5 libdouble-conversion1 libdpkg-perl libdrm-amdgpu1 libdrm-common libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libdumbnet1 libdvbv5-0 libdw1
  libe-book-0.1-1 libegl-mesa0 libegl1-mesa libelf-dev libelf1 libepoxy0 liberror-perl libetonyek-0.1-1 libev-perl libevdev2 libfakekey0 libfcitx-qt5-1 libfcitx-qt5-data libfdisk1 libfdt1
  libffi6 libfftw3-bin libfftw3-double3 libfftw3-long3 libfftw3-quad3 libfftw3-single3 libfile-fnmatch-perl libfile-stripnondeterminism-perl libflite1 libfontconfig1 libfontembed1
  libforks-perl libfreerdp-client2-2 libfreerdp2-2 libfreetype6 libgbm1 libgc1c2 libgcc-6-dev libgcc-7-dev libgcc-8-dev libgcc1 libgck-1-0 libgconf-2-4 libgcr-base-3-1 libgcrypt20 libgd3
  libgdbm-compat4 libgdcm2.8 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgegl-0.4-0 libgegl-common libgeos-c1v5 libgfortran3 libgfortran5 libgimp2.0 libgirepository-1.0-1 libgit2-27
  libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgles2-mesa libglib2.0-0 libglib2.0-bin libglib2.0-data libglibmm-2.4-1v5 libglx-mesa0 libgmp10 libgnutls-dane0 libgnutls30 libgoa-1.0-0b
  libgoa-1.0-common libgomp1 libgpg-error0 libgpgme11 libgpgmepp6 libgphoto2-6 libgphoto2-port12 libgroupsock8 libgs9 libgs9-common libgsl23 libgslcblas0 libgssapi-krb5-2
  libgstreamer-gl1.0-0 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk-3-0 libgtk-3-common libgtkmm-3.0-1v5 libgupnp-1.0-4 libgusb2 libharfbuzz-icu0
  libharfbuzz0b libheif1 libhpmud0 libhtml-parser-perl libhunspell-1.6-0 libical2 libical3 libicu-le-hb0 libiec61883-0 libimobiledevice6 libinotifytools0 libinput-bin libinput-tools
  libinput10 libio-pty-perl libio-socket-ssl-perl libip4tc0 libip6tc0 libiptc0 libirs160 libisc-export169 libisc169 libisccc160 libisccfg160 libisoburn1 libisofs6 libitm1 libiw30
  libjavascriptcoregtk-4.0-18 libjbig2dec0 libjs-prettify libjs-sphinxdoc libjson-glib-1.0-0 libjson-glib-1.0-common libk3b7 libk5crypto3 libkf5activities5 libkf5activitiesstats1
  libkf5akonadinotes5 libkf5akonadisearch-data libkf5akonadisearchxapian5 libkf5baloo5 libkf5balooengine5 libkf5baloowidgets5 libkf5blog5 libkf5bluezqt-data libkf5bluezqt6
  libkf5bookmarks-data libkf5bookmarks5 libkf5calendarevents5 libkf5calendarutils5 libkf5config-bin libkf5contacts-data libkf5contacts5 libkf5dbusaddons-bin libkf5declarative-data
  libkf5declarative5 libkf5dnssd-data libkf5dnssd5 libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5 libkf5eventviews-data libkf5filemetadata-bin libkf5filemetadata-data
  libkf5filemetadata3 libkf5gapi-data libkf5globalaccelprivate5 libkf5grantleetheme-plugins libkf5grantleetheme5 libkf5holidays-data libkf5holidays5 libkf5iconthemes-bin libkf5idletime5
  libkf5imap5 libkf5itemmodels5 libkf5js5 libkf5jsapi5 libkf5jsembed-data libkf5jsembed5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdcraw5 libkf5kdelibs4support-data
  libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml-data libkf5khtml5 libkf5kiofilewidgets5 libkf5kiogui5 libkf5kiontlm5 libkf5kirigami2-5 libkf5konq6
  libkf5kontactinterface-data libkf5kontactinterface5 libkf5krosscore5 libkf5krossui5 libkf5libkdepim-data libkf5mailimporter5 libkf5mbox5 libkf5mime-data libkf5mime5abi1
  libkf5modemmanagerqt6 libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data libkf5package5 libkf5parts-plugins
  libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plasma5 libkf5plasmaquick5 libkf5plotting5 libkf5prison5 libkf5pty-data libkf5pty5 libkf5purpose-bin
  libkf5purpose5 libkf5quickaddons5 libkf5runner5 libkf5style5 libkf5su-bin libkf5su-data libkf5su5 libkf5threadweaver5 libkf5tnef5 libkf5unitconversion-data libkf5unitconversion5
  libkf5waylandclient5 libkf5waylandserver5 libkf5webkit5 libkf5xmlgui-bin libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5 libkfontinstui5 libkmod2 libkomparediff2-5
  libkompareinterface5 libkopete4 libkrb5-3 libkrb5support0 liblcms2-2 liblcms2-utils libldap-2.4-2 libldb1 liblirc-client0 liblist-moreutils-perl libllvm6.0 liblocale-gettext-perl
  liblsan0 libltdl7 liblwres160 libmagick++-6.q16-8 libmagickcore-6.q16-6 libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libmailutils5 libmarblewidget-qt5-28 libmariadbclient18
  libmm-glib0 libmojolicious-perl libmount1 libmpx2 libmspack0 libmspub-0.1-1 libmtp-common libmtp-runtime libmtp9 libmusicbrainz-discid-perl libncurses5 libncurses6 libncursesw5
  libncursesw6 libnet-ssleay-perl libnewt0.52 libnghttp2-14 libnm0 libnspr4 libnss-myhostname libnss3 libnuma1 libnumbertext-1.0-0 libnumbertext-data libofa0 libopenal-data libopenal1
  libopencolorio1v5 libopencv-core3.2 libopencv-highgui3.2 libopencv-imgcodecs3.2 libopencv-imgproc3.2 libopencv-ml3.2 libopencv-objdetect3.2 libopencv-videoio3.2 libopenmpt-modplug1
  libopenmpt0 liborc-0.4-0 liborcus-0.13-0 libotr5 libpam-kwallet-common libpam-kwallet5 libpam-systemd libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
  libpangomm-1.4-1v5 libpangoxft-1.0-0 libparted-fs-resize0 libparted2 libpcre2-16-0 libpcre2-8-0 libpcsclite1 libperl5.26 libpipeline1 libplasma-geolocation-interface5 libplist3
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpolkit-qt-1-1 libpolkit-qt5-1-1 libpoppler-glib8 libpoppler-qt5-1 libpostproc55 libpowerdevilcore2 libpowerdevilui5
  libpq5 libproj13 libprotobuf-c1 libprotobuf-lite10 libprotobuf10 libproxy-tools libproxy1v5 libpsl5 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpython2.7 libpython2.7-minimal
  libpython2.7-stdlib libpython3-stdlib libpython3.6 libpython3.6-minimal libpython3.6-stdlib libqaccessibilityclient-qt5-0 libqgpgme7 libqmi-glib5 libqmi-proxy libqt5concurrent5
  libqt5help5 libqtav1 libqtavwidgets1 libquadmath0 libqxp-0.0-0 libraw19 libre2-4 libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-impress libreoffice-java-common libreoffice-math
  libreoffice-report-builder-bin libreoffice-style-colibre libreoffice-style-tango libreoffice-writer librest-0.7-0 librsvg2-2 librsvg2-common libruby2.5 libsane-hpaio libsasl2-2
  libsasl2-modules libsasl2-modules-db libsbc1 libsdl-image1.2 libsdl1.2debian libsdl2-2.0-0 libsecret-1-0 libsecret-common libsigc++-2.0-0v5 libsmartcols1 libsmbclient libsndio7.0
  libsnmp-base libsnmp30 libsoup-gnome2.4-1 libsoup2.4-1 libspeechd2 libspice-server1 libsqlite3-0 libssh-4 libssh-gcrypt-4 libssl1.0.2 libssl1.1 libstdc++-6-dev libstdc++-8-dev
  libstdc++6 libsub-name-perl libswresample3 libswscale5 libsystemd0 libtag1v5 libtag1v5-vanilla libtagc0 libtalloc2 libtbb2 libtdb1 libterm-readkey-perl libtevent0 libtext-iconv-perl
  libtiff5 libtinfo5 libtinfo6 libtinyxml2-6a libtirpc1 libtool libtsan0 libubsan0 libubsan1 libudev1 libudisks2-0 libupnp6 libupower-glib3 liburiparser1 libusageenvironment3 libusbmuxd4
  libusbredirparser1 libuuid1 libuv1 libv4l-0 libv4lconvert0 libva-drm2 libva-wayland2 libva-x11-2 libva2 libvisio-0.1-1 libvisual-0.4-0 libvlc-bin libvlc5 libvlccore9 libwacom-common
  libwacom2 libwayland-client0 libwayland-cursor0 libwayland-egl1 libwayland-egl1-mesa libwayland-server0 libwbclient0 libweather-ion7 libwebkit2gtk-4.0-37 libwinpr2-2 libwmf0.2-7
  libwpd-0.10-10 libwww-perl libx11-6 libx11-data libx11-xcb1 libxapian30 libxatracker2 libxcb-composite0 libxcb-damage0 libxcb-dpms0 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0
  libxcb-present0 libxcb-randr0 libxcb-record0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb-xfixes0 libxcb-xinerama0 libxcb-xkb1 libxcb-xtest0 libxcb-xv0 libxcb1
  libxcursor1 libxenstore3.0 libxerces-c3.2 libxml-libxml-perl libxml-parser-perl libxml-security-c17v5 libxml2 libxml2-utils libxmlsec1 libxmlsec1-nss libxmmsclient6 libxss1 libxtables12
  libyajl2 libyaml-cpp0.5v5 libzbar0 libzmf-0.0-0 libzvbi-common libzvbi0 links linux-cpupower linux-headers-siduction-amd64 linux-image-siduction-amd64 linux-libc-dev locales lsb-base
  lsb-release luckybackup luckybackup-data m4 mailutils mailutils-common man-db manpages-de marble marble-data marble-plugins marble-qt-data mariadb-client-core-10.1 mariadb-common
  mariadb-server-core-10.1 mbr mesa-va-drivers mkvtoolnix mlocate modemmanager mosh mount mpv multiarch-support nano ncurses-base ncurses-bin net-tools netbase network-manager
  network-manager-openvpn network-manager-pptp network-manager-vpnc nfs-common nmap nmap-common opencv-data openprinting-ppds openssh-client openssh-server openssh-sftp-server openssl
  ovmf oxygen-icon-theme paperkey paprefs parted patience-common-settings pcmciautils perl perl-base plasma-framework plasma-nm plasma-pa po-debconf policykit-1 poppler-utils powerdevil
  powerdevil-data ppp printer-driver-escpr printer-driver-foo2zjs printer-driver-foo2zjs-common printer-driver-gutenprint printer-driver-hpcups printer-driver-min12xxw proj-data psmisc
  pulseaudio pulseaudio-module-bluetooth pulseaudio-module-gsettings pulseaudio-module-zeroconf pulseaudio-utils python-apsw python-apt-common python-cffi-backend python-dbus python-gdbm
  python-gi python-gobject python-libxml2 python-lxml python-markdown python-newt python-numpy python-olefile python-pil python-pkg-resources python-recoll python-sip python-talloc
  python-tk python2.7 python2.7-minimal python3 python3-apt python3-cffi-backend python3-cupshelpers python3-dbus python3-distutils python3-evdev python3-gi python3-httplib2
  python3-keyring python3-keyrings.alt python3-lib2to3 python3-minimal python3-olefile python3-pil python3-pkg-resources python3-pysimplesoap python3-pyxattr python3-recoll
  python3-reportbug python3-reportlab python3-reportlab-accel python3-requests python3-sip python3-uno python3-urllib3 python3.6 python3.6-minimal qml-module-org-kde-activities
  qml-module-org-kde-bluezqt qml-module-org-kde-draganddrop qml-module-org-kde-kcm qml-module-org-kde-kconfig qml-module-org-kde-kcoreaddons qml-module-org-kde-kholidays
  qml-module-org-kde-kio qml-module-org-kde-kirigami2 qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-kwindowsystem qml-module-org-kde-purpose
  qml-module-org-kde-qqc2desktopstyle qml-module-org-kde-solid qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qtchooser recoll recollcmd recollgui rename reportbug rfkill
  rkhunter rpcbind ruby2.5 samba-common samba-libs sane-utils scribus scribus-data scrot sdparm sed shared-mime-info smartmontools smplayer smtube speech-dispatcher
  speech-dispatcher-audio-plugins sudo system-config-printer-common system-config-printer-udev systemd systemd-container systemd-coredump systemd-sysv systemsettings sysv-rc
  sysvinit-utils tar tmux tzdata udev udisks2 uno-libs3 unrar update-inetd upower ure user-manager util-linux va-driver-all vim vim-common vim-nox vim-runtime vlc vlc-bin vlc-data
  vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output vlc-plugin-video-splitter vlc-plugin-visualization vrms weechat-core
  weechat-curses weechat-perl weechat-plugins weechat-python weechat-ruby wget whiptail whois wireless-tools xorriso xsane xsane-common xserver-common xserver-xorg-core
  xserver-xorg-input-libinput xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-intel xserver-xorg-video-radeon xterm xxd youtube-dl zenity zenity-common
1099 upgraded, 70 newly installed, 0 to remove and 257 not upgraded.
Need to get 1,271 MB of archives.
After this operation, 640 MB of additional disk space will be used.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
Is this here from a normal dist-upgrade?


Quote from: jyp
Trying to get up to date after being cut from my computers for almost 2 months. But ...
Code: [Select]
The following packages will be REMOVED:
blogilo colord digikam digikam-private-libs hplip kdegraphics kipi-plugins kolourpaint kolourpaint4 libcupscgi1 libcupsmime1 libcupsppdc1 libhdf5-100 libkf5akonadicore5abi1 libkf5alarmcalendar5 libkf5eventviews5 libkf5gravatar5abi1 libkf5ldap5 libkf5mailcommon5abi1 libkf5messagecomposer5 libkf5messagecore5 libkf5messagelist5 libkf5messageviewer5 libkf5pimcommon5abi1 libkf5pimcommonakonadi5 libkf5pimtextedit5abi1 libkf5sane5 libkf5webengineviewer5 libkpimgapiblogger5 libkpimgapicore5 libkpimkdav5abi1 libkpimsmtp5 libmbedtls10 libqalculate5-data libqalculate5v5 libsane1 sane-utils skanlite xsane
Most of the libkf5 are going to be replaced but many others won't. As suggested, I tried to install libqalculate20 but ...
Code: [Select]
apt install libqalculate20
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libkf5iconthemes5 : Breaks: libkf5wallet-bin (< 5.51) but 5.49.0-1 is to be installed
                              Recommends: libkf5iconthemes-bin (= 5.51.0-1) but 5.49.0-1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
I didn't held packages.
So, I am looking for advices: should I do an upgrade first (a procedure that I never used before) and then a full-upgrade?
Thanks
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline jyp

  • User
  • Posts: 53
@piper
Yes.I strictly use sources and mirrors recommended by siduction.   
I also follow these steps every time I upgrade
  • runlevel 3
  • apt update
  • apt full-upgrade -d
  • apt full-upgrade
  • kernel-remover
  • apt clean
  • reboot

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.531
    • g-com.eu
Code: [Select]
apt install libkf5wallet-bin

if anything go wrong, paste the full output to paste.debian.net and provide the link.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
No need anymore to do runlevel 3 ;)


Code: [Select]
apt update; apt full-upgrade
Let that stuff go

We can get most if not all of it back, some names/versions have changed


debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline jyp

  • User
  • Posts: 53

Offline jyp

  • User
  • Posts: 53
@piper
No runlevel 3 anymore? Sad, I was feeling a bit of a geek doing that!
Still, isn't safer to do full-upgrade in runlevel 3?

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
If you are comfortable using it, by all means do it ;)  it's your box, feel at home :)

It won't hurt a thing  :P

debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.531
    • g-com.eu
if you want belt and braces - just use stable. Joke aside, running a D-U in a screen or tmux session does nearly the same as going to a non-graphical mode, in case the xserver crashes, just pick up the screen session from console :P

I would suggest a maintainance over anydesk - i want to know the problem with your installation, i'm selfish in such things. Ping me in #siduction or #siduction-de (agaida)
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline jyp

  • User
  • Posts: 53
@melmarker
Quote
I would suggest a maintainance over anydesk
You mean ??
And (forgive my ignorance) how do I "ping" you at #siduction.
Thanks.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.472
  • north of hell south of heaven
IRC   oftc    #siduction is the channel

in kmenu - internet - irc
debian sid  |  apt into it

siduction d-u warnings

Dont Break Debian




we are the priests  ...  of the temples of syrinx  ...